Bug 1001852 - Smooks CSV Parsing throws ClassNotFoundError
Smooks CSV Parsing throws ClassNotFoundError
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: SwitchYard (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity high
: ER7
: 6.0.0
Assigned To: tcunning
Jiri Pechanec
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-27 21:19 EDT by Andrew Block
Modified: 2014-06-16 19:49 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-06 10:25:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Stack Track of Error (21.69 KB, text/plain)
2013-08-27 21:19 EDT, Andrew Block
no flags Details
Smooks Configuration (555 bytes, text/xml)
2013-08-27 21:21 EDT, Andrew Block
no flags Details
opencsv module file (1.21 KB, text/xml)
2013-08-27 21:22 EDT, Andrew Block
no flags Details
Milyn Module File (1.22 KB, text/xml)
2013-08-27 21:23 EDT, Andrew Block
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-1764 Major Closed Smooks CSV Parsing throws ClassNotFoundError 2014-06-16 20:13:06 EDT

  None (edit)
Description Andrew Block 2013-08-27 21:19:21 EDT
Created attachment 791210 [details]
Stack Track of Error

Description of problem:

When using the csv:reader component in a Smooks  SY Transformation, a ClassNotFoundError exception is thrown. The 

Version-Release number of selected component (if applicable):

Running SY 1.0.0-Final on EAP 6.1. 


Steps to Reproduce:
1. Apply Smooks Transformation using CSV Reader

Actual results:


Expected results:

Successful transformation

Additional info:

To get around the issue, I installed opencsv-2.1 as a core module and modified the milyn module at (system\layers\soa\org\milyn\main) to be dependent on the opencsv module.

I have added a stack trace of the issue, Smooks transformation file and module files for the opencsv and modified milyn module.
Comment 2 Andrew Block 2013-08-27 21:21:15 EDT
Created attachment 791211 [details]
Smooks Configuration
Comment 3 Andrew Block 2013-08-27 21:22:31 EDT
Created attachment 791212 [details]
opencsv module file
Comment 4 Andrew Block 2013-08-27 21:23:51 EDT
Created attachment 791213 [details]
Milyn Module File
Comment 5 JBoss JIRA Server 2013-10-24 19:02:06 EDT
Keith Babo <kbabo@redhat.com> made a comment on jira SWITCHYARD-1764

pushed
Comment 6 Jiri Pechanec 2014-01-22 07:54:28 EST
Verified in CR1
Comment 7 JBoss JIRA Server 2014-06-16 19:49:28 EDT
Keith Babo <kbabo@redhat.com> updated the status of jira SWITCHYARD-1764 to Closed

Note You need to log in before you can comment on or make changes to this bug.